<template>
	<div>
		{{value}}
	</div>
</template>
<script lang="ts">
	import { Component, Prop, Vue, Watch, Mixins } from "vue-property-decorator";
	@Component
	export default class BatchNumber extends Vue {
		@Prop()
		propValue : any
		value : any = ''
		created() {
			var t : any = new Date()
			var y : any = t.getFullYear()
			var m : any = t.getMonth()+1
			if(m<10){m='0'+m}
			var d = t.getDate()
			if(m<10){d='0'+d}
			this.value = y+m+d+'001';
			// console.log(this.value)
		};
	}
</script>

<style>
</style>